# 信息论简介

1948年，著名数学家香农将热力学中的熵引入信息论，在其著名的论文《通信的数学原理》一文中
提出了信息熵的概念，完美解决了信息的量化问题。


本文重点并非研究信息论或者通信理论，我们主要关注的是

- 信息论基本工具，各种熵
- 基于信息论的关联挖掘，如非线性关联挖掘，因果关系等等
- 信息论在空间物理领域的应用
- 基于信息论的因果网络推断&图神经网络
- 因果机器学习
- 时空衍化&时空预测

相关链接：

- [集智斑图](https://pattern.swarma.org/)
- [中文版信息论基础](https://item.jd.com/10058241.html#none)


> docsify&latex

公式推导1:

```
$$
\begin{aligned}&L_{EAE} = \mathbb{E}_{x\sim \tilde{p}(x)}\left[\left\Vert x - D(E(x))\right\Vert^2 
\right] - \lambda H(Z)\\ 
&\text{s.t.}\,\,\text{avg}(E(x))=0,\,\text{std}(E(x))=1 
\end{aligned}
$$
```

$$
\begin{aligned}&L_{EAE} = \mathbb{E}_{x\sim \tilde{p}(x)}\left[\left\Vert x - D(E(x))\right\Vert^2 
\right] - \lambda H(Z)\\ 
&\text{s.t.}\,\,\text{avg}(E(x))=0,\,\text{std}(E(x))=1 
\end{aligned}
$$

公式推导2：

```
$$
\begin{aligned}
  (a + b)^3  &= (a + b) (a + b)^2  \\      
             &= (a + b)(a^2 + 2ab + b^2) \\
             &= a^3 + 3a^2b + 3ab^2 + b^3 \\
\end{aligned}
$$
```
$$
\begin{aligned}
  (a + b)^3  &= (a + b) (a + b)^2  \\      
             &= (a + b)(a^2 + 2ab + b^2) \\
             &= a^3 + 3a^2b + 3ab^2 + b^3 \\
\end{aligned}
$$
多行公式貌似只能使用这个命令，其他命令在这里不管用，这是个bug！其他相关参考可以见如下网址：

- [科学空间-苏剑林](https://kexue.fm/)

> 文档组织形式

开始的主要文档只有一个，然后每个小点都组织成一个子标题，如果内容比较丰富的话，最后再把这个小标题单独拎出来弄成一个独立的markdown文件。