# 因果推断&机器学习


## 因果推断初解

> [因果推断方法概述](https://pattern.swarma.org/path?id=9)

因果关系这个我们常用的词语，在哲学层面，有三种不同的层次：

- 第一是心理意义上的，指的是普通人，在日常生活中体会到的因果是怎样的，每个人感受到的因果关系，
对其给出的解释都会有所不同，因此在这个层面探讨的因果关系，不具有内在的价值，只适用于讨论和提出
因果关系的人本身的关系；
- 第二是本体论上的，考虑的是因果关系仅仅只是虚构的概念，还是真实存在的，前者被称为唯名论（Nominalism），
后者称为实在论（Realism），例如在牛顿之前，能感受到重力，但不认可重力是一个独立存在的本体，同样的关系也适用
于因果关系，我们能否认为因果关系是真实存在的实体，是本体论探讨的问题；
- 第三是认知论层面上的；探讨人类能够通过怎样的形式化的手段，量化的评估因果关系，这也是我们所关注的。

上述介绍，对因果检测的方法，按照其方法论所依据的假设，分为了四类：

- 新休谟式（neo humean）
	
		我们关注的方法都属于此类
		
	
- 反事实的（count factual）

		朱迪亚-珀尔的方法属于此类
	
- 操控实验（Manipulation）

		RCM、SCM等等
		
- 机制研究（Mechanism）
			
		复杂度相关
















相关讨论：
- [基于因果推断的复杂系统分析建模 ](https://campus.swarma.org/course/1399/?from=wechat)
- [复杂性与临界现象公开课](https://campus.swarma.org/course/1131/study)

## 因果机器学习

> [Causality for machine learning](https://github.com/Causal-Inference-ZeroToAll/causality4ml)、

## 朱迪亚-珀尔

> 朱迪亚-珀尔《为什么：关于因果关系的新科学》

## 暗因果

> [因果观念新革命？万字长文，解读复杂系统背后的暗因果](https://mp.weixin.qq.com/s?__biz=MzIzMjQyNzQ5MA==&mid=2247506966&idx=1&sn=4a77e194848fde84154ee906826e0fb5&chksm=e897869bdfe00f8d638a21570f9d11786f8d5bdff359731ecb608bd490227e759c437278634b&mpshare=1&scene=1&srcid=&sharer_sharetime=1590885361928&sharer_shareid=c0fa9a68bc47ef8c82fbeaad6fbbce7f&key=51dd08a172133f47e15731041415c1cce5aced2b367e5300dab7d08da41878a042961922514f35e54b02e745b9bf929f51201af5f7132024b62b9749fc3b46d74d360102368b354a4e3a212479f8743b&ascene=1&uin=MjA3NzA0Njgw&devicetype=Windows+10+x64&version=62090070&lang=zh_CN&exportkey=AZspTCc8sV7eAZPmNpf7G18%3D&pass_ticket=W1EVOvi9IF6kdWMVbODSaV7dTQEC3bV3V9%2F6TVkR4K8%3D)


相关论文：

- [Hidden interactions in financial markets](https://www.pnas.org/content/116/22/10646.short)
- [Unveiling causal interactions in complex systems](https://www.pnas.org/content/117/14/7599)




