#!/usr/bin/env python
# coding: utf-8

# # Causality 基本使用教程

# In[1]:


get_ipython().run_line_magic('reload_ext', 'autoreload')
get_ipython().run_line_magic('autoreload', '2')
get_ipython().run_line_magic('matplotlib', 'inline')


# 导入基本库

# In[2]:


import os, sys
import numpy as np
import pandas as pd
import matplotlib.pyplot as plt
from pathlib import Path
Path.ls = lambda x: list(x.iterdir())
from tqdm import tqdm


# 添加`causality`源码路径

# In[3]:


sys.path.append('../../srcs')


# ## 基本函数测试

# In[4]:


from mibebin.basic import MI, TE, CMI


# In[5]:


x = np.random.randint(10,size=1000)
y = np.random.randint(10,size=1000)
z = np.random.randint(100,size=(3,1000))


# In[6]:


MI(x,y,bins=10)


# In[7]:


CMI(x,y,z,bins=10)


# ## 非线性

# In[8]:


from mibebin.data import generate_nonlinear
from mibebin.data import generate_triangle

from mibebin.calculator_TE import Cal_TE
from mibebin.calculator_MI import Cal_MI
from mibebin.calculator_Cor import Cal_Cor


# In[9]:


data1 = generate_nonlinear()
data2 = generate_triangle(length=3600,noise_std1=0.1, noise_std2=0.2,shift=3)

ex1_te = Cal_TE(data1,label_x='x',label_y='fx',taus=20,bins=10,k=0)
ex1_mi = Cal_MI(data1,label_x='x',label_y='fx',taus=20,bins=10,k=0)
ex2_te = Cal_TE(data2,label_x='sin',label_y='cos',taus=360,bins=10,k=0)
ex2_mi = Cal_MI(data2,label_x='sin',label_y='cos',taus=360,bins=10,k=0)
ex2_cor = Cal_Cor(data2,label_x='sin',label_y='cos',taus=360,bins=10,k=0)


# In[10]:


ex1_te.fit()


# In[11]:


ex1_te.plot()


# In[12]:


data2.plot(figsize=(10,2))


# In[13]:


cal_sig = True
ex2_te.fit(cal_sig=cal_sig)
ex2_mi.fit(cal_sig=cal_sig)
ex2_cor.fit(cal_sig=cal_sig)


# In[14]:


ex2_te.plot(figsize=(10,2))
ex2_mi.plot(figsize=(10,2))
ex2_cor.plot(figsize=(10,2))


# 这里没有添加pvalue值检验，需要进一步测试

# In[ ]:




